cxvec.h File Reference
Complex vectors

Osmocom Complex vectors header. More...

`#include <complex.h>`
Include dependency graph for cxvec.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | osmo_cxvec
| Complex vector. More...

## Macros

#define | CXVEC_FLG_REAL_ONLY (1<<0)
| Real values only.

## Functions

void | osmo_cxvec_init_from_data (struct osmo_cxvec *cv, float complex *data, int len)
struct osmo_cxvec * | osmo_cxvec_alloc_from_data (float complex *data, int len)
struct osmo_cxvec * | osmo_cxvec_alloc (int max_len)
void | osmo_cxvec_free (struct osmo_cxvec *cv)
void | osmo_cxvec_dbg_dump (struct osmo_cxvec *cv, const char *fname)

## Detailed Description

Osmocom Complex vectors header.